# Module pages::git

source · [−]

## Structs

FileInfo

## Enums

ContentType
GitFileMode
A FileMode represents the kind of tree entries used by git. It resembles regular file systems modes, although FileModes are considerably simpler (there are not so many), and there are some, like Submodule that has no file system equivalent.

## Functions

read_file
Please note that this method expects path to not contain any spaces Use [escape_spaces] before calling this method
read_file_inner 🔒
read_preview_file